Package tigase.db.beans

## Enum MDRepositoryBean.SelectorType

- java.lang.Object
- - java.lang.Enum<MDRepositoryBean.SelectorType>
  - - tigase.db.beans.MDRepositoryBean.SelectorType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MDRepositoryBean.SelectorType>`
  Enclosing class:
    MDRepositoryBean<T extends DataSourceAware>

      public static enum MDRepositoryBean.SelectorType
      extends java.lang.Enum<MDRepositoryBean.SelectorType>

  Determines behaviour of MDRepositoryBean.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EveryDataSource` | Repository instances will be created for every data source.
    `EveryUserRepository` | Repository instances will be created for every data source for which user repository exists.
    `List` | Repository instances will be created for default data source and for data sources listed in configuration.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MDRepositoryBean.SelectorType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MDRepositoryBean.SelectorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### List

          public static final MDRepositoryBean.SelectorType List

      Repository instances will be created for default data source and for data sources listed in configuration.

    - #### EveryDataSource

          public static final MDRepositoryBean.SelectorType EveryDataSource

      Repository instances will be created for every data source.

    - #### EveryUserRepository

          public static final MDRepositoryBean.SelectorType EveryUserRepository

      Repository instances will be created for every data source for which user repository exists.

  - ### Method Detail

    - #### values

          public static MDRepositoryBean.SelectorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MDRepositoryBean.SelectorType c : MDRepositoryBean.SelectorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MDRepositoryBean.SelectorType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null